org.springframework.data.repository.support

## Interface RepositoryInvokerFactory

All Known Implementing Classes:
  DefaultRepositoryInvokerFactory

    public interface RepositoryInvokerFactory

Interface for a factory to create `RepositoryInvoker` instances for repositories managing a particular domain type.

Since:
  1.10
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`RepositoryInvoker` `getInvokerFor(Class<?> domainType)` Returns the `RepositoryInvoker` for a repository managing the given domain type.

### Method Detail

#### getInvokerFor

    RepositoryInvoker getInvokerFor(Class<?> domainType)

Returns the `RepositoryInvoker` for a repository managing the given domain type.

Parameters:
  `domainType` - must not be null.
Returns: